Newbie question: -static causes errors

Andrew Haley aph@redhat.com
Sun Dec 1 04:54:00 GMT 2002


Neil Aggarwal writes:
 > Hello:
 > 
 > I am a newbie to gcj, so please forgive any obvious questions.
 > I searched the mailing list archives to no avail.
 > 
 > I am using the gcj that was installed when I installed RedHat 8.0
 > on an new machine.

Looks like you don't have a statically linked version of libpthread or
that it isn't being found.

In any case, are you quite sure that you need a statically linked
version of your program?  Even with "-static", libgcj can still open
shared libraries at runtime so you don't gain much by doing this.


Andrew.



More information about the Java mailing list